;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Event-driven Functions
;; activated when a new node has been created.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(deffunction event-new-node (?card ?image ?type)

  ;;;  (printout t ?type crlf)
 (if (and (neq ?type "End")(neq ?type "Start")
     (neq ?type "And")(neq ?type "Or") (neq ?type "Xor"))
     then   (return -1) )

 (bind ?obj (diagram-image-get-object ?card ?image))
 (my-show-node-name ?card ?obj) 
 (return 1)

) ;; deffun 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; end of file
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
